package com.fzm.mall.server.front.goods.service;

import com.fzm.mall.server.front.goods.model.GoodSku;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.front.goods.model.vo.SkuVo;

/**
 * <p>
 * 商品规格表 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-03-02
 */
public interface IGoodSkuService extends IService<GoodSku> {
    GoodSku skuUnitByGidCoin(final String gid, final String coin);

    GoodSku getBySkuId(final String skuId);

    SkuVo getSkuVoBySkuId(String skuId);

    int delStock(String skuId,Integer num, Long updateTime);

    void addStock(String skuId, Integer number);

    void delSales(String skuId, Integer number);

    void addSales(String skuId, Integer number);

    String getGoodsName(String goodsId);
}
